/*	Convergent Technologies - System V - May 1983	*/
/*	"@(#)opt.h	1.10"	*/

#if MESG==0
msgsys(){nosys();}
msginit(){return(0);}
msgconv(){return(NULL);}
#endif

#if SEMA==0
semsys(){nosys();}
seminit(){}
semexit(){}
#endif

#if SHMEM==0
shmsys(){nosys();}
shmexec(){}
shmexit(){}
shmfork(){}
shmreset(){}
shminit(){}
setupshm(){}
freeshmseg(){}
#endif

#if DEBUGGER==0
dbmain(){}
dpchr(){}
dbbuserr(){}
#endif

#ifndef S2652_0
ptclruser(){}
#endif

#if NOTIFY==0
not_sys(){nosys();}
not_init(){}
not_exit(){}
not_sendnot(){}
#endif

#if NETWORK==0
/* socket system calls */
socket(){nosys();}
bind(){nosys();}
getsockname(){nosys();}
getpeername(){nosys();}
listen(){nosys();}
accept(){nosys();}
connect(){nosys();}
sendto(){nosys();}
send(){nosys();}
recvfrom(){nosys();}
recv(){nosys();}
shutdown(){nosys();}
getsockopt(){nosys();}
setsockopt(){nosys();}

soo_write() {}
soo_read() {}
soo_ioctl() {}
soclose() {}

mbinit() {}
ifinit() {}
domaininit() {}
loattach() {}
enattach() {}

short softnetint = 0;
short netbusy = 0;
dosoftnetint() {}

#else
#include "sys/errno.h"

#if INTERNET==0
int *inetdomain;
int *inetsw;

short softnetint = 0;
dosoftnetint() {}

int loattach() {}
int enattach() {}
int tcpprintfs;
int rtioctl() {return(EINVAL);}
int inet_hash() {}
int inet_netmatch() {}
#endif INTERNET

#endif NETWORK

#ifndef RAM_0
rdinit() {}
#endif

#ifndef PLP_0
lpintr(){}
#endif
